Last Comment Bug 700519 - remove -fpascal-strings from mac build options (js version)
: remove -fpascal-strings from mac build options (js version)
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla11
Assigned To: Gregory Szorc [:gps]
:
:
Mentors:
http://devworld.apple.com/documentati...
Depends on: 328090 658218
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-07 17:04 PST by Gregory Szorc [:gps]
Modified: 2011-11-10 15:23 PST (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Remove -fpascal-strings from Darwin compiler flags (1.03 KB, patch)
2011-11-07 17:14 PST, Gregory Szorc [:gps]
ted: review+
Details | Diff | Splinter Review

Description Gregory Szorc [:gps] 2011-11-07 17:04:12 PST
+++ This bug was initially created as a clone of Bug #328090 +++

This is a clone of bug 328090 to address js/src/configure.in, which was apparently missed in that bug.

GCC 4.6.0 on my OS X 10.7 machine is complaining that -fpascal-strings is an unrecognized compiler argument. This is causing configure to blow up.
Comment 1 Gregory Szorc [:gps] 2011-11-07 17:14:52 PST
Created attachment 572682 [details] [diff] [review]
Remove -fpascal-strings from Darwin compiler flags

This is the same patch as from bug 513055 but applied to js/src/configure.in.
Comment 2 Gregory Szorc [:gps] 2011-11-08 12:11:53 PST
Pushed to build-system: https://hg.mozilla.org/projects/build-system/rev/53c68ecca74d
Comment 3 Gregory Szorc [:gps] 2011-11-10 15:23:50 PST
Merged to m-c: https://hg.mozilla.org/mozilla-central/rev/53c68ecca74d

Note You need to log in before you can comment on or make changes to this bug.